<template>
    <div id="auth-modal" uk-modal>
        <div class="uk-modal-dialog uk-margin-auto-vertical uk-padding">
            <button
                class="uk-modal-close-default"
                type="button"
                uk-close
            ></button>
            <div>
                <div v-if="connexion && !recuperationMotDePasse">
                    <Connexion />
                    <div style="clear: both"></div>
                    <div
                        class="uk-align-right uk-margin-remove-bottom uk-margin-small-top"
                    >
                        <a @click="modifierMode()">S'inscrire ?</a>
                    </div>
                    <div
                        class="uk-align-right uk-margin-remove-bottom uk-margin-small-top"
                    >
                        <a @click="recupererMotDePasse()">Mot de passe oublié ?</a>
                    </div>
                </div>
                <div v-if="!connexion && !recuperationMotDePasse">
                    <Inscription />
                    <div style="clear: both"></div>
                    <div
                        class="uk-align-right uk-margin-remove-bottom uk-margin-small-top"
                    >
                        <a @click="modifierMode()">Déjà un compte?</a>
                    </div>
                </div>
                <div v-if="recuperationMotDePasse">
                    <RecuperationMotDePasse/>
                    <div
                        class="uk-align-right uk-margin-remove-bottom uk-margin-small-top"
                    >
                        <a @click="sortirRecuperationMotDePasse()">Se connecter ?</a>
                    </div>
                </div>
            </div>
            <div>
                <div class="uk-modal-dialog">
                    <button
                        class="uk-modal-close-default"
                        type="button"
                        uk-close
                    ></button>
                </div>
            </div>
        </div>
    </div>
</template>

<script lang="ts">
import Inscription from './Inscription.vue';
import Connexion from './Connexion.vue';
import RecuperationMotDePasse from './RecuperationMotDePasse.vue';

export default {
    components: {
        Inscription,
        Connexion,
        RecuperationMotDePasse
    },

    data() {
        return {
            connexion: true,
            recuperationMotDePasse: false,
        };
    },
    methods: {
        modifierMode() {
            this.connexion = !this.connexion;
        },
        recupererMotDePasse() {
            this.recuperationMotDePasse = true;
        },
        sortirRecuperationMotDePasse() {
            this.recuperationMotDePasse = false;
        }
    },
};
</script>
